Package: org.grails.web.xml

## [Java] Class PrettyPrintXMLStreamWriter

- org.grails.web.xml.PrettyPrintXMLStreamWriter

- A XMLStreamWriter dedicated to create indented/pretty printed output.

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_INDENT_STR` |
    `static java.lang.String` | `NEWLINE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class XMLStreamWriter` | `mode, tagStack, writer`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PrettyPrintXMLStreamWriter (StreamingMarkupWriter writer)`
    `PrettyPrintXMLStreamWriter (StreamingMarkupWriter writer, java.lang.String indent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `XMLStreamWriter` | `characters(java.lang.String data)`
    `` | `XMLStreamWriter` | `end()`
    `` | `protected void` | `endStartTag()`
    `` | `XMLStreamWriter` | `startDocument(java.lang.String encoding, java.lang.String version)`
    `` | `XMLStreamWriter` | `startNode(java.lang.String tag)`
    `` | `protected void` | `startTag()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class XMLStreamWriter` | `attribute, characters, end, endStartTag, startDocument, startNode, startTag`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String DEFAULT_INDENT_STR

    - #### public static final java.lang.String NEWLINE

  - ### Constructor Detail

    - #### public PrettyPrintXMLStreamWriter(StreamingMarkupWriter writer)

    - #### public PrettyPrintXMLStreamWriter(StreamingMarkupWriter writer, java.lang.String indent)

  - ### Method Detail

    - #### @java.lang.Override public XMLStreamWriter characters(java.lang.String data)

    - #### @java.lang.Override public XMLStreamWriter end()

    - #### @java.lang.Override protected void endStartTag()

    - #### @java.lang.Override public XMLStreamWriter startDocument(java.lang.String encoding, java.lang.String version)

    - #### @java.lang.Override public XMLStreamWriter startNode(java.lang.String tag)

    - #### @java.lang.Override protected void startTag()